Package org.codehaus.groovy.runtime

# Class GroovyCategorySupport.ThreadCategoryInfo

java.lang.Object
java.util.AbstractMap<K,​V>
java.util.HashMap<String,​GroovyCategorySupport.CategoryMethodList>
org.codehaus.groovy.runtime.GroovyCategorySupport.ThreadCategoryInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,​GroovyCategorySupport.CategoryMethodList>`

Enclosing class:
  GroovyCategorySupport

    public static class GroovyCategorySupport.ThreadCategoryInfo
    extends HashMap<String,​GroovyCategorySupport.CategoryMethodList>

See Also:
  Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,​V extends Object>`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ThreadCategoryInfo()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `GroovyCategorySupport.CategoryMethodList` | `getCategoryMethods​(String name)` |
  `<T> T` | `use​(List<Class> categoryClasses, Closure<T> closure)` |

  ### Methods inherited from class java.util.HashMap

  `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `equals, hashCode`

- ## Constructor Details

  - ### ThreadCategoryInfo

    public ThreadCategoryInfo()

- ## Method Details

  - ### use

    public <T> T use​(List<Class> categoryClasses, Closure<T> closure)

  - ### getCategoryMethods

    public GroovyCategorySupport.CategoryMethodList getCategoryMethods​(String name)